Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk
Class SortManager

All Superinterfaces:
  java.rmi.Remote

All Known Implementing Classes:
  CoreSortManager, SortManagerImpl

    public interface class SortManager

extends java.rmi.Remote

A facade interface for managing sorting.

Method Summary
`java.lang.String` | `getPrimarySortAttribute(java.lang.String tableName)` Gets the primary sort attribute for the given table.
`boolean` | `getPrimarySortDirection(java.lang.String tableName)` Gets the primary sort direction (true == ascending) for the given table.
`java.lang.String` | `getSecondarySortAttribute(java.lang.String tableName)` Gets the secondary sort attribute for the given table.
`boolean` | `getSecondarySortDirection(java.lang.String tableName)` Gets the secondary sort direction (true == ascending) for the given table.
`void` | `setSortPreference(NamedValue[] options)` Creates a setting in the current user's user preferences to always sort the given table using the given options.
`Item[]` | `sortAttributeList(long id, NamedValue[] options, AttributeRequest[] attrs)` Given an id of a repos object, constructs an item with an attribute of the given name and sorts the resulting value.

Method Detail

### setSortPreference

    void setSortPreference(NamedValue[] options)
                           throws FdkException

  Description copied from interface: `SortManager`
  Creates a setting in the current user's user preferences to always sort the given table using the given options. Primary/secondary attribute names must be valid values in Attributes.java and the values returned by those attributes must implement Comparable. If not specified, direction defaults to true (ascending).

  Parameters:
    `options` - The sort options. Valid options are:
    - notation: {Attribute name, Attribute type}
    - {Options.TABLE_NAME, String}
    - {Options.PRIMARY_SORT_ATTRIBUTE, String}
    - {Options.PRIMARY_SORT_DIRECTION, Boolean}
    - {Options.SECONDARY_SORT_ATTRIBUTE, String}
    - {Options.SECONDARY_SORT_DIRECTION, Boolean}
  Throws:
    `FdkException` - if the operation fails.

### getPrimarySortAttribute

    java.lang.String getPrimarySortAttribute(java.lang.String tableName)
                                             throws FdkException

  Description copied from interface: `SortManager`
  Gets the primary sort attribute for the given table.

  Parameters:
    `tableName` - The table on which to retrieve the attribute.
  Throws:
    `FdkException` - if the operation fails.

### getPrimarySortDirection

    boolean getPrimarySortDirection(java.lang.String tableName)
                                    throws FdkException

  Description copied from interface: `SortManager`
  Gets the primary sort direction (true == ascending) for the given table.

  Parameters:
    `tableName` - The table on which to retrieve the attribute.
  Throws:
    `FdkException` - if the operation fails.

### getSecondarySortAttribute

    java.lang.String getSecondarySortAttribute(java.lang.String tableName)
                                               throws FdkException

  Description copied from interface: `SortManager`
  Gets the secondary sort attribute for the given table.

  Parameters:
    `tableName` - The table on which to retrieve the attribute.
  Throws:
    `FdkException` - if the operation fails.

### getSecondarySortDirection

    boolean getSecondarySortDirection(java.lang.String tableName)
                                      throws FdkException

  Description copied from interface: `SortManager`
  Gets the secondary sort direction (true == ascending) for the given table.

  Parameters:
    `tableName` - The table on which to retrieve the attribute.
  Throws:
    `FdkException` - if the operation fails.

### sortAttributeList

    Item[] sortAttributeList(long id,
                             NamedValue[] options,
                             AttributeRequest[] attrs)
                             throws FdkException

  Description copied from interface: `SortManager`
  Given an id of a repos object, constructs an item with an attribute of the given name and sorts the resulting value.

  Parameters:
    `id` - The id of the repos object.
    `options` - The sort options. Valid options are:
    - notation: {Attribute name, Attribute type}
    - {Attributes.NAME, String}
    - {Options.PRIMARY_SORT_ATTRIBUTE, String}
    - {Options.PRIMARY_SORT_DIRECTION, Boolean}
    - {Options.SECONDARY_SORT_ATTRIBUTE, String}
    - {Options.SECONDARY_SORT_DIRECTION, Boolean}
    If an attribute name is specified with no direction, ascending is the default. Attribute names must be valid attributes in Attributes.java and must return values that implement Comparable.
  Returns:
    a sorted array of Items.
  Throws:
    `FdkException` - if the operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD